> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/zh-hk/kai-fa-zhe-zi-yuan/api-docs/retrieve-current-user-account-details.md).

# 檢索當前用戶的帳戶詳細資訊

此端點允許您檢索當前已驗證用戶的帳戶詳細信息。

## 端點

```
GET /api/v1/account/
```

## 認證

此端點需要使用 JWT 令牌進行認證。

## 請求

不需要請求參數。

## 回應

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "使用者名稱"
}
```

## 使用者檔案（擴展資訊）

若要獲取更詳細的使用者檔案資訊，您可以使用：

```
GET /api/v1/me/
```

### 擴展回應

```json
{
  "id": "username",
  "email": "user@example.com",
  "name": "用戶名稱",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "公司",
  "website": "https://example.com",
  "bio": "用戶簡介",
  "team": [
    {
      "id": "team_id", 
      "name": "團隊名稱", 
      "image_url": "url", 
      "role": "管理員"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## 錯誤回應

| 狀態碼 | 描述                 |
| --- | ------------------ |
| 401 | 未授權 - 無效或缺失的身份驗證憑證 |
| 403 | 禁止 - 使用者沒有權限訪問此資源  |
| 500 | 內部伺服器錯誤 - 伺服器發生了問題 |

## 使用範例

### 使用 cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### 使用 JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### 使用 Python

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/zh-hk/kai-fa-zhe-zi-yuan/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
